aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorPaul Vinciguerra <pvinci@vinciconsulting.com>2019-12-17 17:29:34 -0500
committerDave Wallace <dwallacelf@gmail.com>2019-12-18 23:10:19 +0000
commit64e9d28d375721c5308da3e8a45a52d88dd0ff40 (patch)
treec6069b7496161223d33f36e1f3435e4a851e5907 /test
parentaffa05532dddf8cc0a1bdb452a7555cc7f9dc691 (diff)
build tests: fail test run if we can't patch scapy
Type: fix Change-Id: I694e44f449863b3edbbc8b6095e94f770dc20330 Signed-off-by: Paul Vinciguerra <pvinci@vinciconsulting.com>
Diffstat (limited to 'test')
-rw-r--r--test/Makefile2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/Makefile b/test/Makefile
index facdc6e4c14..ef0b27c9572 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -145,7 +145,7 @@ $(PIP_PATCH_DONE): $(PIP_INSTALL_DONE)
echo Applying patch: $$(basename $$f) ; \
patch --forward -p1 -d $(SCAPY_SOURCE) < $$f ; \
retCode=$$?; \
- [ $$retCode -gt 1 ] && exit $$retCode; \
+ [ $$retCode -gt 0 ] && exit $$retCode; \
done; \
touch $@